## goom goom — Takes frames of data and outputs video frames using the GOOM filter |

## Types and Values

struct | GstGoom

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstGoom

## Description

Goom is an audio visualisation element. It creates warping structures based on the incoming audio signal.

### Example launch line

    1
    gst-launch-1.0 -v audiotestsrc ! goom ! videoconvert ! xvimagesink

## Synopsis

### Element Information

plugin | goom
author | Wim Taymans <wim@fluendo.com>
class | Visualization

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int)[ 8000, 96000 ], channels=(int)1, layout=(string)interleaved
| audio/x-raw, format=(string)S16LE, rate=(int)[ 8000, 96000 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003, layout=(string)interleaved

name | src
direction | source
presence | always
details | video/x-raw, format=(string)BGRx, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstGoom

    struct GstGoom;

## See Also

synaesthesia